/**
  * Zambot
  * Zambot | Unlimited Trading | [https://zambot.net](https://zambot.net).
  *
  * The version of the OpenAPI document: 1.0.0
  * Contact: gzambon@gmail.com
  *
  * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
  * https://openapi-generator.tech
  * Do not edit the class manually.
  */

package net.zambot.scheduler.model

import java.time.LocalDateTime
import java.util.UUID

import play.api.libs.json._

case class TaskResult(schedulerId: UUID,
                      taskId: UUID,
                      externalId: Option[UUID],
                      timestamp: LocalDateTime,
                      success: Boolean,
                      message: String,
                      values: Map[String, String])

object TaskResult {
  implicit val format: Format[TaskResult] = Json.format
}

